C# と VB.NET の質問掲示板

わんくま同盟

ASP.NET、C++/CLI、Java 何でもどうぞ

C# と VB.NET の入門サイト


■88114 / )  必須コンポーネントを入れないためには
□投稿者/ 774RR (620回)-(2018/08/03(Fri) 10:55:59)

分類:[インストーラ全般] 

Visual Studio 2005 (遺物) 付属のセットアッププロジェクトで .NET 2.0 向け WinForms App 用のインストーラを作成しています。で、できた MSI を .NET 3.5 を有効化していない Windows 10 上で実行させます。

「必須コンポーネントをインストールするセットアッププログラムを作成する」
のチェックを外しているにもかかわらず Windows 10 上で hoge_setup.msi を実行すると .NET 2.0 が無効であるがゆえに
「このセットアップは .NET Framework バージョン 2.0.50727 を必要とします」ダイアログが出てしまい
- いいえを選ぶとセットアップが終わってしまいます。
- はいを選ぶと Microsoft の Web Page の sorry this page is no longer available となります。

.NET 2.0 の有効化は今回の案件では不要なのですが、この「 .NET 2.0 を入れろ」画面を出さない方法はあるでしょうか?
返信 編集キー/


管理者用

- Child Tree -